$(function () {

    infoData();
    let pageCount = getPageCount(total, 5);
    let index = 1;
    let ul = $("<ul/>").addClass("containe");
    ul.append($(`
    <li class="ctrl first ">首页</li>
    <li class="ctrl prev ">上一页</li>
    `))

    for (let i = 0; i < pageCount; i++) {
        let li = $('<li/>').html(i + 1);
        if (i === 0) li.addClass("active")
        ul.append(li)
    }

    ul.append($(`
<li class="ctrl next">下一页</li>
<li class="ctrl last">尾页</li>
`))
    $(".pageing").append(ul);


    $("li:not(.ctrl)").click(function () {
        $(this).addClass("active").siblings(".active").removeClass("active");
        index = parseInt($(this).text());
        console.log(index)
        checkDisable()
    })

    $(".next").click(function () {
        if (index === pageCount) return;
        index++;
        checkDisable();
    })

    $(".prev").click(function () {
        if (index === 1) return;
        index--;
        checkDisable();
    });

    $(".first").click(function () {
        index = 1;
        checkDisable();
    })

    $(".last").click(function () {
        index = pageCount;
        checkDisable();
    })

    function checkDisable() {
        $(".containe li:not(.ctrl)").eq(index - 1).addClass("active").siblings(".active")
            .removeClass("active");
        $(".ctrl").removeClass("disabled");
        if (index === 1) {
            $(".prev,.first").addClass("disabled");
        } else if (index === pageCount) {
            $(".next,.last").addClass("disabled");
        }
        changeData(index);
        goTop();
    };
    function initCheckDisable() {
        $(".containe li:not(.ctrl)").eq(index - 1).addClass("active").siblings(".active")
            .removeClass("active");
        $(".ctrl").removeClass("disabled");
        if (index === 1) {
            $(".prev,.first").addClass("disabled");
        } else if (index === pageCount) {
            $(".next,.last").addClass("disabled");
        }
        changeData(index);
    };
    initCheckDisable();

})